import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/body_small.dart';
import 'package:syncrow_app/generated/assets.dart';
import 'package:syncrow_app/utils/resource_manager/strings_manager.dart';

class DevicesModeTab extends StatelessWidget {
  const DevicesModeTab({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.start,
      children: [
        Container(
          decoration: BoxDecoration(
            color: Colors.white,
            borderRadius: BorderRadius.circular(20),
          ),
          padding: const EdgeInsets.all(10),
          margin: const EdgeInsets.only(right: 5),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              SizedBox(
                height: 30,
                width: 25,
                child: SvgPicture.asset(
                  Assets.assetsIconsWinter,
                  fit: BoxFit.contain,
                ),
              ),
              const SizedBox(width: 5),
              const BodySmall(
                text: StringsManager.winter,
                fontWeight: FontWeight.bold,
                fontColor: Colors.grey,
              ),
            ],
          ),
        ),
        Container(
          decoration: BoxDecoration(
            color: Colors.white,
            borderRadius: BorderRadius.circular(20),
          ),
          padding: const EdgeInsets.all(10),
          margin: const EdgeInsets.only(right: 5),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              SizedBox(
                height: 30,
                width: 25,
                child: SvgPicture.asset(
                  Assets.assetsIconsSummer,
                  fit: BoxFit.contain,
                ),
              ),
              const SizedBox(width: 5),
              const BodySmall(
                text: StringsManager.summer,
                fontWeight: FontWeight.bold,
                fontColor: Colors.grey,
              ),
            ],
          ),
        ),
        const Expanded(child: SizedBox.shrink())
      ],
    );
  }
}
